Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027116RunnerFunctionsPublic2017-07-14 21:302017-08-04 17:30
ReporterEric Bunese 
Assigned ToRussell Kay 
PriorityVery HighSeverityB - MajorReproducibility100%
StatusResolvedResolutionFixed 
PlatformOSOS Version
Summary0027116: Android: http_post_string does not use the given parameter for the payload, instead, sends NULL
Descriptionhttp_post_string works perfectly on other platforms, but on android, the payload is sent as "null", which can be confirmed via the adb terminal.
Steps To ReproduceExecute given project on any platform, a pop-up message will appear with the given payload (the server responds the same payload it receives). But on android the callback will be ignored, because the server received NULL.
1.4 Version1.4.1767
2.x Runtime Version2.0.7.110
2.x Runtime Version Verified In
Attached Files? file icon Project1.gmz [^] (19,650 bytes) 2017-07-14 21:30

- Relationships

-  Notes
(0054253)
Vlad Popescu (Reporter)
2017-07-15 02:23
edited on: 2017-07-24 17:36

Fascinating. It is beyond my mental capacity to comprehend how something as simple as getting the right verb (referring to last year's one-year-to-fix http_request bug that sent post instead of any other method) or passing a string (this bug) can be broken
 
This is the kind of bug that needs to be actually fixed on time, not just left as a critical very high priority issue that'll be left alone for another year
 
If anyone is interested on a java-based alternative to the horrendous http API in the Android runner, leave an email
 
Update: I have created a replacement for http_request. You can find it here:
https://forum.yoyogames.com/index.php?threads/fixing-the-http-requests.30588/ [^]

(0054795)
Russell Kay (Manager)
2017-08-04 17:30

fixed in gitlab - if status code was not 200 then we were ignoring the reply, now attempts to read the reply all the time no matter the status code (handles exceptions if it is missing)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker